#
# spec file for package python-netaddr
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           python-netaddr
Version:        0.7.4
Release:        1.4
License:        BSD 3-Clause
Summary:        Pythonic manipulation of IPv4, IPv6, CIDR, EUI and MAC network addresses
Url:            http://code.google.com/p/netaddr
Group:          Development/Libraries/Python
Source:         netaddr-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}
%if %{?suse_version: %{suse_version} > 1110} %{!?suse_version:1}
BuildArch:      noarch
%endif

%description
A pure Python network address representation and manipulation library.

netaddr provides a Pythonic way of working with: - IPv4 and IPv6
   addresses and subnets (including CIDR notation);

- MAC (Media Access Control) addresses in multiple formats;

- IEEE EUI-64, OUI and IAB identifiers;

- a user friendly IP glob-style format.

Included are routines for: - generating, sorting and summarizing IP
   addresses;

- converting IP addresses and ranges between various different
   formats;

- performing set based operations on groups of IP addresses and
   subnets;

- arbitrary IP address range calculations and conversions;

- querying IEEE OUI and IAB organisational information;

- querying of IP standards related data from key IANA data sources.

Author: David P. D. Moss <drkjam@gmail.com>



%prep
%setup -q -n netaddr-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot} --record-rpm=INSTALLED_FILES

%files -f INSTALLED_FILES
%defattr(-,root,root)

%changelog
* Wed May 12 2010 alexandre@exatati.com.br
- Initial package (0.7.4) for openSUSE.
